%global ocpnlibscommit0 c1d82631756056437edc58235d9e1ff68b46ddf3
%define piname	watchdog_pi

Name:		opencpn-watchdog-plugin
Summary:	Plugin for OpenCpn implementing alarms
Version:	2.4.112.0
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/watchdog.html
Source0:	https://github.com/rgleason/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     opencpn-libs-c1d8263-tinyxml.patch
Patch1:     opencpn-libs-c1d8263-json.patch
Patch2:     watchdog-plugin-2.4.112-Configure.patch

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	git
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(zlib)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
This plugin implements various configurable alarms alerting the user 
about the changing conditions round the boat.

Also implements an improved anchor alarm.

%prep
%setup -a1 -n %{piname}-%{version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1

mv opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/


%changelog
* Fri Jan 31 2025 philippedidier <philippedidier> 2.4.112.0-1.mga10
+ Revision: 2143957
- new version 2.4.112.0 based on last opencpn-libs

* Mon Jun 24 2024 philippedidier <philippedidier> 2.4.110-1.mga10
+ Revision: 2076399
- new version 2.4.110

* Thu Jan 11 2024 philippedidier <philippedidier> 2.4.103.0-1.mga10
+ Revision: 2029710
- new version 2.4.103.0

* Tue May 30 2023 philippedidier <philippedidier> 2.4.51-1.mga9
+ Revision: 1959955
- new version 2.4.51 built upon wxgtku 3.2

* Sat Feb 25 2023 philippedidier <philippedidier> 2.4.50-1.mga9
+ Revision: 1945376
- New version 2.4.50 : improve translation

* Sun Jul 10 2022 philippedidier <philippedidier> 2.4.44-1.mga9
+ Revision: 1868282
- New version 2.4.44

* Sun Apr 03 2022 umeabot <umeabot> 2.4.30.2-3.mga9
+ Revision: 1842499
- Mageia 9 Mass Rebuild

* Mon Jul 12 2021 barjac <barjac> 2.4.30.2-2.mga9
+ Revision: 1735764
- Build with wxgtku3.0 not 3.1

* Tue Jun 22 2021 barjac <barjac> 2.4.30.2-1.mga9
+ Revision: 1731676
- new version 2.4.30.2
  use upstream tarball

* Fri Jan 01 2021 wally <wally> 2.4.21.0-2.mga8
+ Revision: 1667719
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Sep 20 2020 barjac <barjac> 2.4.21.0-1.mga8
+ Revision: 1629003
- add git BR
- new version 2.4.21.0
- patch to use pkgconfig for gtk3 in cmake
- use autosetup

* Sun Aug 16 2020 wally <wally> 2.4.0-5.mga8
+ Revision: 1614360
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 2.4.0-4.mga8
+ Revision: 1538694
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 2.4.0-3.mga8
+ Revision: 1459483
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 2.4.0-2.mga8
+ Revision: 1421023
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sat Jan 19 2019 barjac <barjac> 2.4.0-1.mga7
+ Revision: 1358014
- new version 2.4

* Sun Sep 23 2018 umeabot <umeabot> 2.2.001-3.mga7
+ Revision: 1300001
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 2.2.001-2.mga7
+ Revision: 1239517
- fix build on aarch64

* Tue Jun 19 2018 barjac <barjac> 2.2.001-1.mga7
+ Revision: 1238216
- new version 2.2.001

* Thu Apr 12 2018 barjac <barjac> 2.1.000-1.mga7
+ Revision: 1217690
- new version 2.1.000

* Thu Dec 28 2017 barjac <barjac> 2.0.000-1.mga7
+ Revision: 1186604
- new version 2.0.000
- dont own %%{_libdir}/opencpn

* Sat Jun 03 2017 akien <akien> 1.9.050-2.mga6
+ Revision: 1106117
- Rebuild for wxgtk 3.0.3.1

* Mon Aug 01 2016 barjac <barjac> 1.9.050-1.mga6
+ Revision: 1044183
- new version 1.9.050

* Thu Jun 02 2016 daviddavid <daviddavid> 1.9.045-2.mga6
+ Revision: 1019838
- rebuild for wxgtk3.0 built with GTK2

* Sun May 22 2016 barjac <barjac> 1.9.045-1.mga6
+ Revision: 1017478
- new version 1.9.045

* Tue Apr 19 2016 barjac <barjac> 1.9.043-1.mga6
+ Revision: 1003648
- new version 1.9.043

* Mon Feb 29 2016 barjac <barjac> 1.9.042-1.mga6
+ Revision: 980801
- new version 1.9.042

* Mon Feb 22 2016 barjac <barjac> 1.9.033-1.mga6
+ Revision: 975941
- new version 1.9.030

* Tue Feb 16 2016 barjac <barjac> 1.9.030-2.mga6
+ Revision: 962351
- changed buildrequire wxgtku3.0

* Tue Feb 02 2016 barjac <barjac> 1.9.030-1.mga6
+ Revision: 932852
- new version 1.9.030

* Tue Jan 26 2016 barjac <barjac> 1.9.028-1.mga6
+ Revision: 927706
- new version 1.9.028

* Sat Jan 16 2016 barjac <barjac> 1.9.021-1.mga6
+ Revision: 924657
- new bugfix version 1.9.021

* Thu Jan 14 2016 barjac <barjac> 1.9.019-1.mga6
+ Revision: 922919
- new version 1.9.019

* Tue Dec 08 2015 barjac <barjac> 1.9.004-1.mga6
+ Revision: 908791
- new package opencpn-watchdog-plugin

